Loading...
Searching...
No Matches
SurfaceFactoryCacheThreaded< MUTEX_TYPE, READ_LOCK_GUARD_TYPE, WRITE_LOCK_GUARD_TYPE > Class Template Reference

Template for declaring thread-safe subclasses of SurfaceFactoryCache. More...

`#include <surfaceFactoryCache.h>`

Inheritance diagram for SurfaceFactoryCacheThreaded< MUTEX_TYPE, READ_LOCK_GUARD_TYPE, WRITE_LOCK_GUARD_TYPE >:

## Public Member Functions

| SurfaceFactoryCacheThreaded ()
| ~SurfaceFactoryCacheThreaded () override=default
Public Member Functions inherited from SurfaceFactoryCache
| SurfaceFactoryCache ()
virtual | ~SurfaceFactoryCache ()
| SurfaceFactoryCache (SurfaceFactoryCache const &)=delete
SurfaceFactoryCache & | operator= (SurfaceFactoryCache const &)=delete

## Detailed Description

template<class MUTEX_TYPE, class READ_LOCK_GUARD_TYPE, class WRITE_LOCK_GUARD_TYPE>
class OpenSubdiv::OPENSUBDIV_VERSION::Bfr::SurfaceFactoryCacheThreaded< MUTEX_TYPE, READ_LOCK_GUARD_TYPE, WRITE_LOCK_GUARD_TYPE >

Template for declaring thread-safe subclasses of SurfaceFactoryCache.

SurfaceFactoryCacheThreaded extends SurfaceFactoryCache by protecting access to the cache to ensure thread-safe operation. A mutex type and associated locks are specified to declare a subclass with appropriately protected read and write access.

Template Parameters

  MUTEX_TYPE | A mutex type with supported lock guards
  READ_LOCK_GUARD_TYPE | A scoped lock guard allowing potentially shared access for read operations.
  WRITE_LOCK_GUARD_TYPE | A scoped lock guard allowing exclusive access for write operations.

Definition at line 118 of file surfaceFactoryCache.h.

## Constructor & Destructor Documentation

## SurfaceFactoryCacheThreaded()

template<class MUTEX_TYPE, class READ_LOCK_GUARD_TYPE, class WRITE_LOCK_GUARD_TYPE>

SurfaceFactoryCacheThreaded | ( |  | ) |

inline

Definition at line 120 of file surfaceFactoryCache.h.

## ~SurfaceFactoryCacheThreaded()

template<class MUTEX_TYPE, class READ_LOCK_GUARD_TYPE, class WRITE_LOCK_GUARD_TYPE>

~SurfaceFactoryCacheThreaded | ( |  | ) |

override default

The documentation for this class was generated from the following file:

- opensubdiv/bfr/surfaceFactoryCache.h